package info.aspirecn.iov.sjjh.supplier10000043.model;

import lombok.Data;
import lombok.Getter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/16 10:11
 * @version: V1.0
 **/
@Data
@XmlRootElement(name = "RESPONSE")
@XmlAccessorType(value = XmlAccessType.FIELD)
public class ErrorResponseObject {
    @XmlElement(name = "ROWS")
    private ErrorResponseRow row;

    @Getter
    public static class ErrorResponseRow {
        @Getter
        @XmlElement(name = "ROW")
        private ErrorResponseRowObject rowObject;
    }

    @Getter
    public static class ErrorResponseRowObject {
        @Getter
        @XmlElement(name = "ErrorCode")
        private String errorCode;
        @Getter
        @XmlElement(name = "ErrorMsg")
        private String errorMsg;
    }
}
