package info.aspirecn.iov.sjjh.supplier10000043.model;

import lombok.Data;
import lombok.Getter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/16 15:23
 * @version: V1.0
 **/
@Data
@XmlRootElement(name = "ROWS")
@XmlAccessorType(value = XmlAccessType.FIELD)
public class PhotoIdentityErrorResponseObject {
    @XmlElement(name = "ROW")
    private List<PhotoIdentityErrorResponseRow> row;

    @Getter
    public static class PhotoIdentityErrorResponseRow {
        @Getter
        @XmlElement(name = "INPUT")
        private PhotoIdentityErrorResponseInput input;
        @Getter
        @XmlElement(name = "OUTPUT")
        private PhotoIdentityErrorResponseOutput output;
    }

    @Getter
    public static class PhotoIdentityErrorResponseInput {
        @Getter
        @XmlElement(name = "gmsfhm")
        private String idCode;
        @Getter
        @XmlElement(name = "xm")
        private String name;
    }

    @Getter
    public static class PhotoIdentityErrorResponseOutput {
        @Getter
        @XmlElement(name = "ITEM")
        private List<PhotoIdentityErrorResponseItem> item;
    }

    @Getter
    public static class PhotoIdentityErrorResponseItem {
        @Getter
        @XmlElement(name = "errormesage")
        private String errorMesage;
        @Getter
        @XmlElement(name = "errormesage")
        private String errorMesageCol;
    }
}
