package info.aspirecn.iov.sjjh.supplier10000043.model;

import lombok.Data;
import lombok.Getter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/16 9:21
 * @version: V1.0
 **/
@Data
@XmlRootElement(name = "ROWS")
@XmlAccessorType(value = XmlAccessType.FIELD)
public class TwoElementResponseObject {
    @XmlElement(name = "ROW")
    private List<NciicCheckResponseRow> row;

    @Getter
    public static class NciicCheckResponseRow {
        @Getter
        @XmlElement(name = "INPUT")
        private NciicCheckResponseInput input;
        @Getter
        @XmlElement(name = "OUTPUT")
        private NciicCheckResponseOutput output;
    }

    @Getter
    public static class NciicCheckResponseInput {
        @Getter
        @XmlElement(name = "gmsfhm")
        private String idCode;
        @Getter
        @XmlElement(name = "xm")
        private String name;
    }

    @Getter
    public static class NciicCheckResponseOutput {
        @Getter
        @XmlElement(name = "ITEM")
        private List<NciicCheckResponseItem> items;
    }

    @Getter
    public static class NciicCheckResponseItem {
        @Getter
        @XmlElement(name = "gmsfhm")
        private String idCode;
        @Getter
        @XmlElement(name = "result_gmsfhm")
        private String idCodeResult;
        @Getter
        @XmlElement(name = "xm")
        private String name;
        @Getter
        @XmlElement(name = "result_xm")
        private String nameResult;
    }
}
