package info.aspirecn.iov.sjjh.supplier10000043.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/15 15:59
 * @version: V1.0
 **/
public interface ChannelService {
    /**
     * 二要素
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject twoElementsCheck(HttpServletRequest request, String customBody, int outTime, String decodeType);
    /**
     * 二要素cxf调用方式
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject twoElementsCheckNew(HttpServletRequest request, String customBody, int outTime, String decodeType);

    /**
     * 人像
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject photoIdentityCheck(HttpServletRequest request, String customBody, int outTime, String decodeType);



    /**
     * 人像-中心
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject photoIdentityCheckNew(HttpServletRequest request, String customBody, int outTime, String decodeType);

    /**
     * 人像
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject photoIdentityCheckV2(HttpServletRequest request, String customBody, int outTime, String decodeType);


    /**
     * 人像-家政
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    public ChannelTypeHandleResponseObject photoIdentityCheckV2New(HttpServletRequest request, String customBody, int outTime, String decodeType);


    public void testNotify(String channelId, int type);

    /**
     * 人像-北轻
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    public ChannelTypeHandleResponseObject photoIdentityCheckV3New(HttpServletRequest request, String customBody, int outTime, String decodeType);

    /**
     * 人像-英泰思特
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    public ChannelTypeHandleResponseObject photoIdentityCheckV4New(HttpServletRequest request, String customBody, int outTime, String decodeType);

    /**
     * 人像-榕树
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    public ChannelTypeHandleResponseObject photoIdentityCheckV5New(HttpServletRequest request, String customBody, int outTime, String decodeType);
}
